Payouts
2 endpoints. Base URL https://api.paymentsonline.io, sandbox https://api.sandbox-paymentsonline.io.
Every request needs payments-api-key and payments-account.
/v1/payoutsList all Payouts
Returns a list of Payouts. The Payouts are sorted with the most recently created appearing first.
Query parameters
created_at_gtestring date-timeoptionalMinimum
created_atvalue to filter by (inclusive). Cannot be paired with paid_at_gte or paid_at_lte.created_at_ltestring date-timeoptionalMaximum
created_atvalue to filter by (inclusive). Cannot be paired with paid_at_gte or paid_at_lte.paid_at_gtestring date-timeoptionalMinimum
paid_atvalue to filter by (inclusive). Cannot be paired with created_at_gte or created_at_lte.paid_at_ltestring date-timeoptionalMaximum
paid_atvalue to filter by (inclusive). Cannot be paired with created_at_gte or created_at_lte.statusstring (canceled | failed | in_transit | paid | pending)optionalOnly return payouts that have the given status.
includestring (transaction_count)optionalAn array of optional include parameters, specifying extra properties to return. Currently for this endpoint only accepts 'transaction_count'. In the query parameters, this is specified as include=value1,value2,value3,etc.
include_connected_accountsbooleanoptionalWhether or not to include the results from any connected accounts.
qstringoptionalSupports searching by
payouts.id,payouts.amountoffsetnumberoptionalThe (zero-based) offset of the first item in the collection to return.
limitnumberoptionalThe maximum number of entries to return. If the value exceeds the maximum, then the maximum value will be used.
Header parameters
payments-accountstringrequiredThe id of the Paydude Account (usually starting with the prefix
acct_) that the request is performed on behalf of. Must be a merchant (connected) account id, not the partner account you signed up with; a partner account passes GET /v1/accounts and then fails with "not enabled for this account" on the first payment call.
Responses
200PaginatedDto | object
has_morebooleanrequiredWhether or not there are more elements available after this set. If
false, this set comprises the end of the list.limitnumberoptionalThe maximum number of entries to return. If the value exceeds the maximum, then the maximum value will be used.
offsetnumberoptionalThe (zero-based) offset of the first item in the collection to return.
totalnumberoptionalThe total items count.
itemsarray of Payoutrequired
/v1/payouts/{id}Get a Payout
Retrieves the details of an existing Payout.
Path parameters
idstringrequired
Query parameters
includearray of string (transaction_count)optionalAn array of optional include parameters, specifying extra properties to return. Currently for this endpoint only accepts 'transaction_count'. In the query parameters, this is specified as include=value1,value2,value3,etc.
Header parameters
payments-accountstringrequiredThe id of the Paydude Account (usually starting with the prefix
acct_) that the request is performed on behalf of. Must be a merchant (connected) account id, not the partner account you signed up with; a partner account passes GET /v1/accounts and then fails with "not enabled for this account" on the first payment call.
Responses
200Payout
account_idstringrequiredThe ID of the Account associated with this dispute.
amountnumberrequiredAmount to be transferred to your bank account, in the smallest currency unit (e.g., 100 cents to charge $1.00 or 100 to charge ¥100, a zero-decimal currency).
balance_transactionBalanceTransactionrequiredThe balance transaction that describes the impact of this payout on your account balance. Note: Multiple balance transactions may be associated with this resource and you can fetch them all with
/balance-transactions?source_id={id}.batch_idstringoptionalThe
idof the Batch (bch_*) whose manual close eventually produced this payout. Populated after the processor's settlement report is consumed; null on payouts that don't correspond to a manual-close batch and on legacy payouts that predate this field.created_atstring date-timerequiredTime at which the object was created.
currencystring (aud | cad | dkk | eur | hkd | jpy | nzd | nok | …)requiredThree-letter [ISO currency code](https://www.iso.org/iso-4217-currency-codes.html), in lowercase.
descriptionstringoptionalAn arbitrary string attached to the object. Often useful for displaying to users.
failure_codestring (account_closed | account_frozen | bank_account_restricted | bank_ownership_changed | could_not_process | debit_not_authorized | declined | invalid_account_number | …)optionalError code explaining the reason for a payout failure, if available.
idstringrequiredUnique identifier for the object.
paid_atstring date-timeoptionalThe date the payout was paid.
statusstring (canceled | failed | in_transit | paid | pending)requiredCurrent status of the payout:
paid,pending,in_transit,canceledorfailed. A payout ispendinguntil it is submitted to the bank, when it becomesin_transit. The status then changes topaidif the transaction goes through, or tofailedorcanceled(within 5 business days). Some failed payouts may initially show aspaidbut then change tofailed.transaction_countnumberoptionalAn optional property that is included when specified in a query parameter on request. It represents the number of balance_transaction objects associated with the payout (aside from the payout balance transaction itself).
updated_atstring date-timerequiredTime at which the object was updated.
